> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scans

> Retrieves a list of scans for the authenticated user's company



## OpenAPI

````yaml /api-reference/openapi.json get /scans
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scans:
    get:
      tags:
        - Scans
      summary: Get Scans
      description: Retrieves a list of scans for the authenticated user's company
      operationId: getScans
      parameters:
        - name: project
          in: query
          required: false
          schema:
            type: string
          description: Filter scans by project name
        - name: triggered_by
          in: query
          required: false
          schema:
            type: string
          description: >-
            Filter scans by the user who triggered them. Use an email address or
            "current_user".
        - name: scan_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - full
              - partial
          description: >-
            Filter scans by type. Use "full" for full scans or "partial" for
            scans limited to selected files.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: The page number for pagination
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 50
          description: The number of results per page
      responses:
        '200':
          description: Scans retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  page:
                    type: integer
                  total_pages:
                    type: integer
                  scans:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        engine:
                          type: string
                          example: corgea
                        project:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        repo:
                          type: string
                        branch:
                          type: string
                        status:
                          type: string
                          enum:
                            - completed
                            - in_progress
                            - failed
                        pull_request_id:
                          type: integer
                          nullable: true
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````